> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update payment link

> Developer API operation for PATCH /dev/v1/payment-links/{id}.



## OpenAPI

````yaml /openapi.json patch /dev/v1/payment-links/{id}
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/payment-links/{id}:
    patch:
      tags:
        - Payment Links
      summary: Update payment link
      description: Developer API operation for PATCH /dev/v1/payment-links/{id}.
      operationId: patchDevV1Payment-linksById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              example:
                name: Updated sale
                type: FIXED_PRICE
                status: false
                price: '29.99'
                currency: USD
                gateways: stripe
                products_ids: ''
                discount_code_allowed: false
                customer_address_required: false
                customer_phone_required: false
                show_confirmation_page: true
          multipart/form-data:
            schema:
              type: object
              example:
                name: Updated sale
                type: FIXED_PRICE
                status: false
                price: '29.99'
                currency: USD
                gateways: stripe
                products_ids: ''
                discount_code_allowed: false
                customer_address_required: false
                customer_phone_required: false
                show_confirmation_page: true
          text/plain:
            schema:
              type: object
              example:
                name: Updated sale
                type: FIXED_PRICE
                status: false
                price: '29.99'
                currency: USD
                gateways: stripe
                products_ids: ''
                discount_code_allowed: false
                customer_address_required: false
                customer_phone_required: false
                show_confirmation_page: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties: true
                example:
                  data:
                    payment_link:
                      uniqid: plink_1
                      name: Updated sale
                      is_active: false
                      show_confirmation_page: true
                      url: https://checkout.shoppex.io/pay/plink_1
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````